#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	ucommon
Version		:	7.0.0
Release		:	17.2.0.rel%{?dist}
Summary		:	Portable C++ framework for threads and sockets
Group		:	Applications/File

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv3+
URL		:	http://www.gnu.org/software/commoncpp

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	gnutls
#-----------------------------------------------------------------------------
%description
GNU Common C++ is a class framework that was specifically
designed for telephony applications. The original library
was refactored into a different codebase which is better
suited for embedded applications, GNU uCommon C++ (uCommon
for short). The uCommon library, as currently packaged,
also includes the original Common C++ class framework for
legacy application support. All development of Common C++
now happens as part of uCommon, but we will continue to fix
bugs in the original Common C++ codebase, which has long
been considered stable.

#-----------------------------------------------------------------------------
%prep
%setup -q
#-----------------------------------------------------------------------------
#building application
%build
./autogen.sh

#to allow gcc-11.1 compiling
export CXXFLAGS="-std=c++14 $RPM_OPT_FLAGS"
./configure						\
        --prefix=%{_prefix}				\
	--bindir=%{_bindir}				\
	--sbindir=%{_sbindir}				\
	--includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--enable-shared					\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, -)
%doc AUTHORS COPYING NEWS README
%{_bindir}/args
%{_bindir}/car
%{_bindir}/commoncpp-config
%{_bindir}/keywait
%{_bindir}/mdsum
%{_bindir}/pdetach
%{_bindir}/scrub-files
%{_bindir}/sockaddr
%{_bindir}/ucommon-config
%{_bindir}/urlout
%{_bindir}/zerofill
%{_includedir}/commoncpp/*.h
%{_includedir}/%{name}/*.h
%{_libdir}/libcommoncpp.so*
%{_libdir}/lib%{name}.so*
%{_libdir}/libusecure.so*
%{_libdir}/pkgconfig/commoncpp.pc
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/%{name}/cmake/*.cmake
%{_mandir}/man1/*.1.gz

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog
